{
  "components": {
    "callbacks": {},
    "examples": {},
    "headers": {},
    "links": {},
    "parameters": {},
    "pathItems": {},
    "requestBodies": {},
    "responses": {},
    "schemas": {},
    "securitySchemes": {
      "bearerAuth": {
        "scheme": "bearer",
        "type": "http"
      }
    }
  },
  "info": {
    "description": "",
    "title": "Findymail",
    "version": "1",
    "x-aisa-capabilities": {
      "idempotency": "Idempotency-Key",
      "max_price": "X-AISA-Max-Price-USD",
      "quote": {
        "header": "X-AISA-Cost-Mode",
        "value": "quote"
      }
    },
    "x-aisa-catalogs": {
      "findymail": {
        "description": "",
        "title": "Findymail",
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          }
        },
        "x-aisa-document": {
          "facts_hash": "15351a190ce5e5e9b8017e118e0a5bd9229c4da9d6d4cf1f6c6cb82085f55e55",
          "generator_version": "3",
          "protocol_version": "1",
          "schema_version": "1"
        },
        "x-aisa-plans": {
          "builder": 1.0,
          "display_plan": "payg",
          "payg": 1.0,
          "similarweb_payg": 1.0,
          "team": 1.0,
          "version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb"
        }
      }
    },
    "x-aisa-configured-paths": [
      "/apis/v1/findymail/lookalike-search",
      "/apis/v1/findymail/search-business-profile",
      "/apis/v1/findymail/search-company",
      "/apis/v1/findymail/search-employees",
      "/apis/v1/findymail/search-name",
      "/apis/v1/findymail/search-phone",
      "/apis/v1/findymail/search-reverse-email",
      "/apis/v1/findymail/technologies"
    ],
    "x-aisa-document": {
      "composer_version": "28",
      "document_hash": "sha256:7c8975835a8e5d620f5c449ac13bbfbd34341530c9c1bda363489d12bc88d30f",
      "facts_hash": "15351a190ce5e5e9b8017e118e0a5bd9229c4da9d6d4cf1f6c6cb82085f55e55",
      "generator_version": "3",
      "protocol_version": "1",
      "response_pending": [],
      "schema_version": "1"
    },
    "x-aisa-plans": {
      "builder": 1.0,
      "display_plan": "payg",
      "payg": 1.0,
      "similarweb_payg": 1.0,
      "team": 1.0,
      "version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb"
    },
    "x-aisa-provider": "findymail"
  },
  "jsonSchemaDialect": "https://json-schema.org/draft/2020-12/schema",
  "openapi": "3.1.0",
  "paths": {
    "/apis/v1/findymail/lookalike-search": {
      "post": {
        "description": "returns {companies: [{domain, name, linkedin_url, company_size, country}], total, credits_used} — `credits_used` reports the actual charge back to you\n\n<!-- aisa-pricing:start -->\n按用量计费；默认请求预估费用：$0.0198 USD（不是固定价格）。 声明的单位费率：每 provider_credit $0.000001 USD。 最终费用以账户适用价格及实际结算为准。\n<!-- aisa-pricing:end -->",
        "operationId": "findymail.lookalike-search",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "properties": {
                  "exclusion_list_ids": {
                    "description": "ids of saved exclusion lists whose domains should be dropped from the results",
                    "items": {
                      "type": "integer"
                    },
                    "type": "array"
                  },
                  "limit": {
                    "description": "max companies to return, default 100, up to 10000 — THIS IS THE PRICE DIAL",
                    "maximum": 10000,
                    "minimum": 1,
                    "type": "integer"
                  },
                  "same_country": {
                    "description": "restrict results to the seed's country",
                    "type": "boolean"
                  },
                  "same_size": {
                    "description": "restrict results to the seed's headcount band",
                    "type": "boolean"
                  },
                  "seed": {
                    "description": "the seed company's domain",
                    "examples": [
                      "stripe.com"
                    ],
                    "type": "string"
                  }
                },
                "required": [
                  "limit",
                  "seed"
                ],
                "type": "object"
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Successful response. The payload schema has not been reviewed yet."
          },
          "default": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Error response; upstream passthrough responses may use provider formats"
          }
        },
        "summary": "Find lookalike companies from a seed domain",
        "tags": [
          "Findymail"
        ],
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "mpp": false,
          "mpp_methods": [],
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          },
          "x402": false
        },
        "x-aisa-catalog-id": "findymail",
        "x-aisa-category": "people",
        "x-aisa-docs-url": "https://aisa.one/docs/api-reference/findymail/findymail-lookalike-search",
        "x-aisa-passthrough": true,
        "x-aisa-pricing": {
          "cost_contract": "response_units",
          "customer_multiplier": 1.0,
          "customer_pricing": "provider_cost_multiplier",
          "default_request_estimate_usd": 0.0198,
          "estimate_source": "profile_seed",
          "evidence_source": "response_header",
          "unit": "provider_credit",
          "unit_rate_usd": 1e-06
        },
        "x-aisa-query-policy": {
          "ignore_undeclared": false,
          "open_query": true,
          "request_wins": false
        },
        "x-aisa-review": {
          "request": "reviewed_source",
          "response": "generic",
          "status": "unreviewed"
        },
        "x-aisa-revision": {
          "customer_pricing_ref": "fda7874df42d",
          "plan_policy_version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb",
          "profile_ref": "194bb4d27fc5"
        },
        "x-aisa-runtime-operation": {
          "method": "POST",
          "operation_id": "findymail.lookalike-search",
          "path": "/apis/v1/findymail/lookalike-search"
        },
        "x-aisa-source": {
          "content_hash": "sha256:3ba9b222c7b0d3b69c4895ec21da5d6e6d8a55ffb2152b5d5c1a65bcc2973566",
          "converter": "scripts/prepare_treg_public_reference.py@1",
          "fetched_at": "2026-11-07T11:52:30.302332+00:00",
          "kind": "manual",
          "owner": "AIsa-team/docs",
          "path_space": "public",
          "policy_revision": "sha256:5284e1076511154e5bd27c88cf8f1f29cf6ca5b51a779bd931e39faa66f99978",
          "qualification": "Request-only source review candidate. Exact declarations retained; unsupported shapes remain pending. No formal approval or response schema asserted.",
          "raw_content_hash": "sha256:0804b46b6fb80c59d215e1ed43032d11e13328e2c2ade48d85c75ae00fd9cb68",
          "refresh_policy": "pinned",
          "refresh_reason": "Review immutable provider declarations and both gateway HTTP boundaries together.",
          "review_period_days": 30,
          "source_git_revision": "95670bbae5561fce0ea55c1e0ee4216eb34cbf18",
          "source_pages": [
            {
              "scope": "pathParams arrive as query; array enum and numeric bounds semantics",
              "url": "https://raw.githubusercontent.com/superdesigndev/treg/95670bbae5561fce0ea55c1e0ee4216eb34cbf18/src/treg/application/call/resolve.py"
            },
            {
              "scope": "Parameter declaration vocabulary and optional required flag",
              "url": "https://raw.githubusercontent.com/superdesigndev/treg/95670bbae5561fce0ea55c1e0ee4216eb34cbf18/src/treg/domain/catalog/schema/common.py"
            }
          ],
          "url": "https://raw.githubusercontent.com/superdesigndev/treg/95670bbae5561fce0ea55c1e0ee4216eb34cbf18/src/treg/catalog/"
        },
        "x-aisa-status": "enabled",
        "x-aisa-validation": "mixed"
      }
    },
    "/apis/v1/findymail/search-business-profile": {
      "post": {
        "description": "<!-- aisa-pricing:start -->\n按用量计费；默认请求预估费用：$0.0198 USD（不是固定价格）。 声明的单位费率：每 provider_credit $0.000001 USD。 最终费用以账户适用价格及实际结算为准。\n<!-- aisa-pricing:end -->",
        "operationId": "findymail.search-business-profile",
        "requestBody": {
          "content": {
            "application/json": {
              "examples": {
                "default": {
                  "value": {
                    "linkedin_url": "example"
                  }
                },
                "minimal": {
                  "value": {
                    "linkedin_url": "example"
                  }
                }
              },
              "schema": {
                "additionalProperties": false,
                "properties": {
                  "linkedin_url": {
                    "maxLength": 4096,
                    "minLength": 1,
                    "type": "string"
                  }
                },
                "required": [
                  "linkedin_url"
                ],
                "type": "object"
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Successful response. The payload schema has not been reviewed yet."
          },
          "default": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Error response; upstream passthrough responses may use provider formats"
          }
        },
        "summary": "Find a work email from a LinkedIn profile URL",
        "tags": [
          "Findymail"
        ],
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "mpp": false,
          "mpp_methods": [],
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          },
          "x402": false
        },
        "x-aisa-catalog-id": "findymail",
        "x-aisa-category": "people",
        "x-aisa-docs-url": "https://aisa.one/docs/api-reference/findymail/findymail-search-business-profile",
        "x-aisa-pricing": {
          "cost_contract": "response_units",
          "customer_multiplier": 1.0,
          "customer_pricing": "provider_cost_multiplier",
          "default_request_estimate_usd": 0.0198,
          "estimate_source": "profile_seed",
          "evidence_source": "response_header",
          "unit": "provider_credit",
          "unit_rate_usd": 1e-06
        },
        "x-aisa-query-policy": {
          "ignore_undeclared": false,
          "request_wins": false
        },
        "x-aisa-response-passthrough": true,
        "x-aisa-response-upstream-origin-sha256": "ee07509144cafbd5e3d183b49ccff2d261749fdb61ea649e385bf9803e6d4e3d",
        "x-aisa-response-upstream-path-sha256": "8425164b741205596ee78e55a258448aee9072fd3f514120085e5d697df60bbb",
        "x-aisa-review": {
          "request": "reviewed_source",
          "response": "generic",
          "status": "unreviewed"
        },
        "x-aisa-revision": {
          "customer_pricing_ref": "fda7874df42d",
          "plan_policy_version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb",
          "profile_ref": "181ad2e0f902"
        },
        "x-aisa-runtime-operation": {
          "method": "POST",
          "operation_id": "findymail.search-business-profile",
          "path": "/apis/v1/findymail/search-business-profile"
        },
        "x-aisa-status": "enabled",
        "x-aisa-validation": "runtime",
        "x-codeSamples": [
          {
            "label": "Reference example",
            "lang": "text",
            "source": "# Fixed reference example. Playground inputs do not update this sample.\ncurl --request POST \\\n  --url https://api.aisa.one/apis/v1/findymail/search-business-profile \\\n  --header 'Authorization: Bearer <token>' \\\n  --header 'Content-Type: application/json' \\\n  --data '{\n  \"linkedin_url\": \"example\"\n}'"
          }
        ]
      }
    },
    "/apis/v1/findymail/search-company": {
      "post": {
        "description": "<!-- aisa-pricing:start -->\n按用量计费；默认请求预估费用：$0.0198 USD（不是固定价格）。 声明的单位费率：每 provider_credit $0.000001 USD。 最终费用以账户适用价格及实际结算为准。\n<!-- aisa-pricing:end -->",
        "operationId": "findymail.search-company",
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Successful response. The payload schema has not been reviewed yet."
          },
          "default": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Error response; upstream passthrough responses may use provider formats"
          }
        },
        "summary": "Enrich a company by domain, name or LinkedIn URL — size",
        "tags": [
          "Findymail"
        ],
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "mpp": false,
          "mpp_methods": [],
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          },
          "x402": false
        },
        "x-aisa-catalog-id": "findymail",
        "x-aisa-category": "people",
        "x-aisa-docs-url": "https://aisa.one/docs/api-reference/findymail/findymail-search-company",
        "x-aisa-passthrough": true,
        "x-aisa-pricing": {
          "cost_contract": "response_units",
          "customer_multiplier": 1.0,
          "customer_pricing": "provider_cost_multiplier",
          "default_request_estimate_usd": 0.0198,
          "estimate_source": "profile_seed",
          "evidence_source": "response_header",
          "unit": "provider_credit",
          "unit_rate_usd": 1e-06
        },
        "x-aisa-query-policy": {
          "ignore_undeclared": false,
          "open_query": true,
          "request_wins": false
        },
        "x-aisa-review": {
          "request": "runtime_binding",
          "response": "generic",
          "status": "unreviewed"
        },
        "x-aisa-revision": {
          "customer_pricing_ref": "fda7874df42d",
          "plan_policy_version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb",
          "profile_ref": "12dbc0ec71fe"
        },
        "x-aisa-runtime-operation": {
          "method": "POST",
          "operation_id": "findymail.search-company",
          "path": "/apis/v1/findymail/search-company"
        },
        "x-aisa-status": "enabled",
        "x-aisa-validation": "provider"
      }
    },
    "/apis/v1/findymail/search-employees": {
      "post": {
        "description": "returns an array of {name, linkedinUrl, companyWebsite, companyName, jobTitle}. Always set an explicit small `count`\n\n<!-- aisa-pricing:start -->\n按用量计费；默认请求预估费用：$0.0198 USD（不是固定价格）。 声明的单位费率：每 provider_credit $0.000001 USD。 最终费用以账户适用价格及实际结算为准。\n<!-- aisa-pricing:end -->",
        "operationId": "findymail.search-employees",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "properties": {
                  "count": {
                    "description": "how many contacts to return, default 1, max 3 (4 or 5 are reduced to 3) — THIS IS THE PRICE DIAL (1 finder credit per contact returned)",
                    "maximum": 3,
                    "minimum": 1,
                    "type": "integer"
                  },
                  "job_titles": {
                    "description": "job titles to match",
                    "examples": [
                      [
                        "Head of Engineering"
                      ]
                    ],
                    "items": {
                      "type": "string"
                    },
                    "type": "array"
                  },
                  "website": {
                    "description": "the company website or domain",
                    "examples": [
                      "stripe.com"
                    ],
                    "type": "string"
                  }
                },
                "required": [
                  "count",
                  "job_titles",
                  "website"
                ],
                "type": "object"
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Successful response. The payload schema has not been reviewed yet."
          },
          "default": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Error response; upstream passthrough responses may use provider formats"
          }
        },
        "summary": "Find employees at a company by job title",
        "tags": [
          "Findymail"
        ],
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "mpp": false,
          "mpp_methods": [],
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          },
          "x402": false
        },
        "x-aisa-catalog-id": "findymail",
        "x-aisa-category": "people",
        "x-aisa-docs-url": "https://aisa.one/docs/api-reference/findymail/findymail-search-employees",
        "x-aisa-passthrough": true,
        "x-aisa-pricing": {
          "cost_contract": "response_units",
          "customer_multiplier": 1.0,
          "customer_pricing": "provider_cost_multiplier",
          "default_request_estimate_usd": 0.0198,
          "estimate_source": "profile_seed",
          "evidence_source": "response_header",
          "unit": "provider_credit",
          "unit_rate_usd": 1e-06
        },
        "x-aisa-query-policy": {
          "ignore_undeclared": false,
          "open_query": true,
          "request_wins": false
        },
        "x-aisa-review": {
          "request": "reviewed_source",
          "response": "generic",
          "status": "unreviewed"
        },
        "x-aisa-revision": {
          "customer_pricing_ref": "fda7874df42d",
          "plan_policy_version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb",
          "profile_ref": "52f45cb033e9"
        },
        "x-aisa-runtime-operation": {
          "method": "POST",
          "operation_id": "findymail.search-employees",
          "path": "/apis/v1/findymail/search-employees"
        },
        "x-aisa-source": {
          "content_hash": "sha256:3ba9b222c7b0d3b69c4895ec21da5d6e6d8a55ffb2152b5d5c1a65bcc2973566",
          "converter": "scripts/prepare_treg_public_reference.py@1",
          "fetched_at": "2026-11-07T11:52:30.302332+00:00",
          "kind": "manual",
          "owner": "AIsa-team/docs",
          "path_space": "public",
          "policy_revision": "sha256:5284e1076511154e5bd27c88cf8f1f29cf6ca5b51a779bd931e39faa66f99978",
          "qualification": "Request-only source review candidate. Exact declarations retained; unsupported shapes remain pending. No formal approval or response schema asserted.",
          "raw_content_hash": "sha256:0804b46b6fb80c59d215e1ed43032d11e13328e2c2ade48d85c75ae00fd9cb68",
          "refresh_policy": "pinned",
          "refresh_reason": "Review immutable provider declarations and both gateway HTTP boundaries together.",
          "review_period_days": 30,
          "source_git_revision": "95670bbae5561fce0ea55c1e0ee4216eb34cbf18",
          "source_pages": [
            {
              "scope": "pathParams arrive as query; array enum and numeric bounds semantics",
              "url": "https://raw.githubusercontent.com/superdesigndev/treg/95670bbae5561fce0ea55c1e0ee4216eb34cbf18/src/treg/application/call/resolve.py"
            },
            {
              "scope": "Parameter declaration vocabulary and optional required flag",
              "url": "https://raw.githubusercontent.com/superdesigndev/treg/95670bbae5561fce0ea55c1e0ee4216eb34cbf18/src/treg/domain/catalog/schema/common.py"
            }
          ],
          "url": "https://raw.githubusercontent.com/superdesigndev/treg/95670bbae5561fce0ea55c1e0ee4216eb34cbf18/src/treg/catalog/"
        },
        "x-aisa-status": "enabled",
        "x-aisa-validation": "mixed"
      }
    },
    "/apis/v1/findymail/search-name": {
      "post": {
        "description": "<!-- aisa-pricing:start -->\n按用量计费；默认请求预估费用：$0.0198 USD（不是固定价格）。 声明的单位费率：每 provider_credit $0.000001 USD。 最终费用以账户适用价格及实际结算为准。\n<!-- aisa-pricing:end -->",
        "operationId": "findymail.search-name",
        "requestBody": {
          "content": {
            "application/json": {
              "examples": {
                "default": {
                  "value": {
                    "domain": "example.com",
                    "name": "example"
                  }
                },
                "minimal": {
                  "value": {
                    "domain": "example.com",
                    "name": "example"
                  }
                }
              },
              "schema": {
                "additionalProperties": false,
                "properties": {
                  "domain": {
                    "maxLength": 4096,
                    "minLength": 1,
                    "type": "string"
                  },
                  "name": {
                    "maxLength": 4096,
                    "minLength": 1,
                    "type": "string"
                  }
                },
                "required": [
                  "domain",
                  "name"
                ],
                "type": "object"
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Successful response. The payload schema has not been reviewed yet."
          },
          "default": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Error response; upstream passthrough responses may use provider formats"
          }
        },
        "summary": "Find a work email from a name and company domain",
        "tags": [
          "Findymail"
        ],
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "mpp": false,
          "mpp_methods": [],
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          },
          "x402": false
        },
        "x-aisa-catalog-id": "findymail",
        "x-aisa-category": "people",
        "x-aisa-docs-url": "https://aisa.one/docs/api-reference/findymail/findymail-search-name",
        "x-aisa-pricing": {
          "cost_contract": "response_units",
          "customer_multiplier": 1.0,
          "customer_pricing": "provider_cost_multiplier",
          "default_request_estimate_usd": 0.0198,
          "estimate_source": "profile_seed",
          "evidence_source": "response_header",
          "unit": "provider_credit",
          "unit_rate_usd": 1e-06
        },
        "x-aisa-query-policy": {
          "ignore_undeclared": false,
          "request_wins": false
        },
        "x-aisa-response-passthrough": true,
        "x-aisa-response-upstream-origin-sha256": "ee07509144cafbd5e3d183b49ccff2d261749fdb61ea649e385bf9803e6d4e3d",
        "x-aisa-response-upstream-path-sha256": "2f77ee8ad91b498f96759df8a2e752fb65691c708e2c09f8299c64ed86e53670",
        "x-aisa-review": {
          "request": "reviewed_source",
          "response": "generic",
          "status": "unreviewed"
        },
        "x-aisa-revision": {
          "customer_pricing_ref": "fda7874df42d",
          "plan_policy_version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb",
          "profile_ref": "4ab579404e43"
        },
        "x-aisa-runtime-operation": {
          "method": "POST",
          "operation_id": "findymail.search-name",
          "path": "/apis/v1/findymail/search-name"
        },
        "x-aisa-status": "enabled",
        "x-aisa-validation": "runtime",
        "x-codeSamples": [
          {
            "label": "Reference example",
            "lang": "text",
            "source": "# Fixed reference example. Playground inputs do not update this sample.\ncurl --request POST \\\n  --url https://api.aisa.one/apis/v1/findymail/search-name \\\n  --header 'Authorization: Bearer <token>' \\\n  --header 'Content-Type: application/json' \\\n  --data '{\n  \"domain\": \"example.com\",\n  \"name\": \"example\"\n}'"
          }
        ]
      }
    },
    "/apis/v1/findymail/search-phone": {
      "post": {
        "description": "returns {phone, line_type}. EU-resident contacts are excluded for GDPR reasons, so European targets will miss by policy rather than by coverage\n\n<!-- aisa-pricing:start -->\n按用量计费；默认请求预估费用：$0.198 USD（不是固定价格）。 声明的单位费率：每 provider_credit $0.000001 USD。 最终费用以账户适用价格及实际结算为准。\n<!-- aisa-pricing:end -->",
        "operationId": "findymail.search-phone",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "properties": {
                  "linkedin_url": {
                    "description": "the person's public professional profile URL",
                    "examples": [
                      "https://www.linkedin.com/in/patrickcollison"
                    ],
                    "type": "string"
                  }
                },
                "required": [
                  "linkedin_url"
                ],
                "type": "object"
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Successful response. The payload schema has not been reviewed yet."
          },
          "default": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Error response; upstream passthrough responses may use provider formats"
          }
        },
        "summary": "Find a mobile phone number by LinkedIn URL",
        "tags": [
          "Findymail"
        ],
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "mpp": false,
          "mpp_methods": [],
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          },
          "x402": false
        },
        "x-aisa-catalog-id": "findymail",
        "x-aisa-category": "people",
        "x-aisa-docs-url": "https://aisa.one/docs/api-reference/findymail/findymail-search-phone",
        "x-aisa-passthrough": true,
        "x-aisa-pricing": {
          "cost_contract": "response_units",
          "customer_multiplier": 1.0,
          "customer_pricing": "provider_cost_multiplier",
          "default_request_estimate_usd": 0.198,
          "estimate_source": "profile_seed",
          "evidence_source": "response_header",
          "unit": "provider_credit",
          "unit_rate_usd": 1e-06
        },
        "x-aisa-query-policy": {
          "ignore_undeclared": false,
          "open_query": true,
          "request_wins": false
        },
        "x-aisa-review": {
          "request": "reviewed_source",
          "response": "generic",
          "status": "unreviewed"
        },
        "x-aisa-revision": {
          "customer_pricing_ref": "fda7874df42d",
          "plan_policy_version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb",
          "profile_ref": "d0eb14e451e2"
        },
        "x-aisa-runtime-operation": {
          "method": "POST",
          "operation_id": "findymail.search-phone",
          "path": "/apis/v1/findymail/search-phone"
        },
        "x-aisa-source": {
          "content_hash": "sha256:3ba9b222c7b0d3b69c4895ec21da5d6e6d8a55ffb2152b5d5c1a65bcc2973566",
          "converter": "scripts/prepare_treg_public_reference.py@1",
          "fetched_at": "2026-11-07T11:52:30.302332+00:00",
          "kind": "manual",
          "owner": "AIsa-team/docs",
          "path_space": "public",
          "policy_revision": "sha256:5284e1076511154e5bd27c88cf8f1f29cf6ca5b51a779bd931e39faa66f99978",
          "qualification": "Request-only source review candidate. Exact declarations retained; unsupported shapes remain pending. No formal approval or response schema asserted.",
          "raw_content_hash": "sha256:0804b46b6fb80c59d215e1ed43032d11e13328e2c2ade48d85c75ae00fd9cb68",
          "refresh_policy": "pinned",
          "refresh_reason": "Review immutable provider declarations and both gateway HTTP boundaries together.",
          "review_period_days": 30,
          "source_git_revision": "95670bbae5561fce0ea55c1e0ee4216eb34cbf18",
          "source_pages": [
            {
              "scope": "pathParams arrive as query; array enum and numeric bounds semantics",
              "url": "https://raw.githubusercontent.com/superdesigndev/treg/95670bbae5561fce0ea55c1e0ee4216eb34cbf18/src/treg/application/call/resolve.py"
            },
            {
              "scope": "Parameter declaration vocabulary and optional required flag",
              "url": "https://raw.githubusercontent.com/superdesigndev/treg/95670bbae5561fce0ea55c1e0ee4216eb34cbf18/src/treg/domain/catalog/schema/common.py"
            }
          ],
          "url": "https://raw.githubusercontent.com/superdesigndev/treg/95670bbae5561fce0ea55c1e0ee4216eb34cbf18/src/treg/catalog/"
        },
        "x-aisa-status": "enabled",
        "x-aisa-validation": "provider",
        "x-codeSamples": [
          {
            "label": "Reference example",
            "lang": "text",
            "source": "# Fixed reference example. Playground inputs do not update this sample.\ncurl --request POST \\\n  --url https://api.aisa.one/apis/v1/findymail/search-phone \\\n  --header 'Authorization: Bearer <token>' \\\n  --header 'Content-Type: application/json' \\\n  --data '{\n  \"linkedin_url\": \"https://www.linkedin.com/in/patrickcollison\"\n}'"
          }
        ]
      }
    },
    "/apis/v1/findymail/search-reverse-email": {
      "post": {
        "description": "returns {linkedin_url} by default, or an extended profile object when with_profile is true\n\n<!-- aisa-pricing:start -->\n按用量计费；默认请求预估费用：$0.0198 USD（不是固定价格）。 声明的单位费率：每 provider_credit $0.000001 USD。 最终费用以账户适用价格及实际结算为准。\n<!-- aisa-pricing:end -->",
        "operationId": "findymail.search-reverse-email",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "properties": {
                  "email": {
                    "description": "the email address to resolve",
                    "examples": [
                      "patrick@stripe.com"
                    ],
                    "type": "string"
                  },
                  "with_profile": {
                    "description": "true returns the enriched profile instead of just the profile URL — and DOUBLES the price to 2 credits",
                    "enum": [
                      false
                    ],
                    "type": "boolean"
                  }
                },
                "required": [
                  "email",
                  "with_profile"
                ],
                "type": "object"
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Successful response. The payload schema has not been reviewed yet."
          },
          "default": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Error response; upstream passthrough responses may use provider formats"
          }
        },
        "summary": "Reverse email lookup — the person's LinkedIn profile",
        "tags": [
          "Findymail"
        ],
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "mpp": false,
          "mpp_methods": [],
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          },
          "x402": false
        },
        "x-aisa-catalog-id": "findymail",
        "x-aisa-category": "people",
        "x-aisa-docs-url": "https://aisa.one/docs/api-reference/findymail/findymail-search-reverse-email",
        "x-aisa-passthrough": true,
        "x-aisa-pricing": {
          "cost_contract": "response_units",
          "customer_multiplier": 1.0,
          "customer_pricing": "provider_cost_multiplier",
          "default_request_estimate_usd": 0.0198,
          "estimate_source": "profile_seed",
          "evidence_source": "response_header",
          "unit": "provider_credit",
          "unit_rate_usd": 1e-06
        },
        "x-aisa-query-policy": {
          "ignore_undeclared": false,
          "open_query": true,
          "request_wins": false
        },
        "x-aisa-review": {
          "request": "reviewed_source",
          "response": "generic",
          "status": "unreviewed"
        },
        "x-aisa-revision": {
          "customer_pricing_ref": "fda7874df42d",
          "plan_policy_version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb",
          "profile_ref": "8ad2b1ae6d09"
        },
        "x-aisa-runtime-operation": {
          "method": "POST",
          "operation_id": "findymail.search-reverse-email",
          "path": "/apis/v1/findymail/search-reverse-email"
        },
        "x-aisa-source": {
          "content_hash": "sha256:3ba9b222c7b0d3b69c4895ec21da5d6e6d8a55ffb2152b5d5c1a65bcc2973566",
          "converter": "scripts/prepare_treg_public_reference.py@1",
          "fetched_at": "2026-11-07T11:52:30.302332+00:00",
          "kind": "manual",
          "owner": "AIsa-team/docs",
          "path_space": "public",
          "policy_revision": "sha256:5284e1076511154e5bd27c88cf8f1f29cf6ca5b51a779bd931e39faa66f99978",
          "qualification": "Request-only source review candidate. Exact declarations retained; unsupported shapes remain pending. No formal approval or response schema asserted.",
          "raw_content_hash": "sha256:0804b46b6fb80c59d215e1ed43032d11e13328e2c2ade48d85c75ae00fd9cb68",
          "refresh_policy": "pinned",
          "refresh_reason": "Review immutable provider declarations and both gateway HTTP boundaries together.",
          "review_period_days": 30,
          "source_git_revision": "95670bbae5561fce0ea55c1e0ee4216eb34cbf18",
          "source_pages": [
            {
              "scope": "pathParams arrive as query; array enum and numeric bounds semantics",
              "url": "https://raw.githubusercontent.com/superdesigndev/treg/95670bbae5561fce0ea55c1e0ee4216eb34cbf18/src/treg/application/call/resolve.py"
            },
            {
              "scope": "Parameter declaration vocabulary and optional required flag",
              "url": "https://raw.githubusercontent.com/superdesigndev/treg/95670bbae5561fce0ea55c1e0ee4216eb34cbf18/src/treg/domain/catalog/schema/common.py"
            }
          ],
          "url": "https://raw.githubusercontent.com/superdesigndev/treg/95670bbae5561fce0ea55c1e0ee4216eb34cbf18/src/treg/catalog/"
        },
        "x-aisa-status": "enabled",
        "x-aisa-validation": "mixed"
      }
    },
    "/apis/v1/findymail/technologies": {
      "post": {
        "description": "returns {domain, technologies: [{name, category, subcategory, last_detected_at}]}. The live stripe.com call returned 100+ rows, so filtering with `technologies` is worth it when you only care about a few\n\n<!-- aisa-pricing:start -->\n按用量计费；默认请求预估费用：$0.0198 USD（不是固定价格）。 声明的单位费率：每 provider_credit $0.000001 USD。 最终费用以账户适用价格及实际结算为准。\n<!-- aisa-pricing:end -->",
        "operationId": "findymail.technologies",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "properties": {
                  "domain": {
                    "description": "company domain, no protocol or www",
                    "examples": [
                      "stripe.com"
                    ],
                    "type": "string"
                  },
                  "technologies": {
                    "description": "restrict the answer to these technology names — use /technologies/search (free) to get exact names first",
                    "examples": [
                      [
                        "Salesforce"
                      ]
                    ],
                    "items": {
                      "type": "string"
                    },
                    "type": "array"
                  }
                },
                "required": [
                  "domain"
                ],
                "type": "object"
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Successful response. The payload schema has not been reviewed yet."
          },
          "default": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Error response; upstream passthrough responses may use provider formats"
          }
        },
        "summary": "Detect a company's tech stack by domain",
        "tags": [
          "Findymail"
        ],
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "mpp": false,
          "mpp_methods": [],
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          },
          "x402": false
        },
        "x-aisa-catalog-id": "findymail",
        "x-aisa-category": "people",
        "x-aisa-docs-url": "https://aisa.one/docs/api-reference/findymail/findymail-technologies",
        "x-aisa-passthrough": true,
        "x-aisa-pricing": {
          "cost_contract": "response_units",
          "customer_multiplier": 1.0,
          "customer_pricing": "provider_cost_multiplier",
          "default_request_estimate_usd": 0.0198,
          "estimate_source": "profile_seed",
          "evidence_source": "response_header",
          "unit": "provider_credit",
          "unit_rate_usd": 1e-06
        },
        "x-aisa-query-policy": {
          "ignore_undeclared": false,
          "open_query": true,
          "request_wins": false
        },
        "x-aisa-review": {
          "request": "reviewed_source",
          "response": "generic",
          "status": "unreviewed"
        },
        "x-aisa-revision": {
          "customer_pricing_ref": "fda7874df42d",
          "plan_policy_version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb",
          "profile_ref": "afad33b4b006"
        },
        "x-aisa-runtime-operation": {
          "method": "POST",
          "operation_id": "findymail.technologies",
          "path": "/apis/v1/findymail/technologies"
        },
        "x-aisa-source": {
          "content_hash": "sha256:3ba9b222c7b0d3b69c4895ec21da5d6e6d8a55ffb2152b5d5c1a65bcc2973566",
          "converter": "scripts/prepare_treg_public_reference.py@1",
          "fetched_at": "2026-11-07T11:52:30.302332+00:00",
          "kind": "manual",
          "owner": "AIsa-team/docs",
          "path_space": "public",
          "policy_revision": "sha256:5284e1076511154e5bd27c88cf8f1f29cf6ca5b51a779bd931e39faa66f99978",
          "qualification": "Request-only source review candidate. Exact declarations retained; unsupported shapes remain pending. No formal approval or response schema asserted.",
          "raw_content_hash": "sha256:0804b46b6fb80c59d215e1ed43032d11e13328e2c2ade48d85c75ae00fd9cb68",
          "refresh_policy": "pinned",
          "refresh_reason": "Review immutable provider declarations and both gateway HTTP boundaries together.",
          "review_period_days": 30,
          "source_git_revision": "95670bbae5561fce0ea55c1e0ee4216eb34cbf18",
          "source_pages": [
            {
              "scope": "pathParams arrive as query; array enum and numeric bounds semantics",
              "url": "https://raw.githubusercontent.com/superdesigndev/treg/95670bbae5561fce0ea55c1e0ee4216eb34cbf18/src/treg/application/call/resolve.py"
            },
            {
              "scope": "Parameter declaration vocabulary and optional required flag",
              "url": "https://raw.githubusercontent.com/superdesigndev/treg/95670bbae5561fce0ea55c1e0ee4216eb34cbf18/src/treg/domain/catalog/schema/common.py"
            }
          ],
          "url": "https://raw.githubusercontent.com/superdesigndev/treg/95670bbae5561fce0ea55c1e0ee4216eb34cbf18/src/treg/catalog/"
        },
        "x-aisa-status": "enabled",
        "x-aisa-validation": "provider",
        "x-codeSamples": [
          {
            "label": "Reference example",
            "lang": "text",
            "source": "# Fixed reference example. Playground inputs do not update this sample.\ncurl --request POST \\\n  --url https://api.aisa.one/apis/v1/findymail/technologies \\\n  --header 'Authorization: Bearer <token>' \\\n  --header 'Content-Type: application/json' \\\n  --data '{\n  \"domain\": \"stripe.com\"\n}'"
          }
        ]
      }
    }
  },
  "security": [
    {
      "bearerAuth": []
    }
  ],
  "servers": [
    {
      "url": "https://api.aisa.one"
    }
  ]
}
